petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetBlockSize

Gets the inherent block size associated with a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetBlockSize(DM dm,PetscInt *bs)

Not Collective Many br

### Input Parameter

dm -the DM with block structure Many br

### Output Parameter

bs -the block size, 1 implies no exploitable block structure Many br

Many br

### See Also

ISCreateBlock(), VecSetBlockSize(), MatSetBlockSize(), DMGetLocalToGlobalMapping()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages